# Class CompoundControl.Type

java.lang.Object
javax.sound.sampled.Control.Type
javax.sound.sampled.CompoundControl.Type

Enclosing class:
  `CompoundControl`

public static class CompoundControl.Type extends Control.Type
An instance of the `CompoundControl.Type` inner class identifies one kind of compound control.

Since:
  1.3

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Type(String name)`
  Constructs a new compound control type.

- ## Method Summary

  ### Methods declared in class Control.Type

  `equals, hashCode, toString`

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Type

    protected Type(String name)
    Constructs a new compound control type.
    Parameters:
      `name` - the name of the new compound control type